
<ui:composition template="../template/template.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<ui:define name="title">
        .:Sistema de Acceso a la información pública - SAIP:.
    </ui:define>

	<ui:define name="headCont">

		<script type="text/javascript">  
		function validatecla(tipo, textbox) {
			var tecla;
			if (navigator.appName.indexOf("Netscape") != -1) {
				tecla = event.which;
			} else {
				tecla = event.keyCode;
			}
			var key = String.fromCharCode(tecla);
			var numeros = "0123456789";
			var letras = "AaBbCcDdEeFfGgHhIiJjKkLlMm\xd1\xf1NnOoPpQqRrSsTtUuVvWwXxYyZz ";
			var texto = letras + ",;._-";
			var codigo = letras + numeros + "-_#.@";
			var alfanum = letras + numeros;

			//alert("tecla : " + tecla);
			//alert("key : " + key);

			if (tipo == "letras") {
							
				if (tecla == 32) {
					return true;
				}
				if (letras.indexOf(key) != -1) {
					return true;
				}
				return false;
			}
			if (tipo == "texto") {
				if (tecla == 32) {
					return true;
				}
				if (texto.indexOf(key) != -1) {
					return true;
				}
				return false;
			}
			if (tipo == "enteros") {
				
				if (tecla == 13) {			
					return true;
				}
				
				if (numeros.indexOf(key) != -1) {
					return true;
				} else {
					return false;
				}
			}
			if (tipo == "alfanumerico") {
				if (alfanum.indexOf(key) != -1) {
					return true;
				} else {
					return false;
				}
			}
			if (tipo == "codigo") {
				if (codigo.indexOf(key) != -1) {
					return true;
				} else {
					return false;
				}
			}
			if (tipo == "decimales") {
				if (numeros.indexOf(key) != -1) {
					return true;
				}
				var cadena = textbox.value;
					//if (cadena.indexOf(',') != -1 )
				if (cadena.indexOf(".") != -1) {
					return false;
				} 
					//if (tecla == 44) // ","
				if (tecla == 46) { // "."
				}
				return true;
				return false;
			}
			if (tipo == "NoNumeros") {
				if (tecla == 32) {
					return true;
				}
				if (numeros.indexOf(key) != -1) {
					return false;
				}
				return true;
			}
		}  
		</script>
	</ui:define>

	<ui:define name="titlePages">
		<span>AVISO DE INFORMACIÓN</span>
	</ui:define>

	<ui:define name="urlNavegacion">		
		
	</ui:define>

	<ui:define name="content">
		<div class="row">
			
			<h:form id="frmItemListado">
				<p:growl id="mensaje" showDetail="true" sticky="false" life="5000"
					showSummary="false" />
				<div class="col-md-12">
					<fieldset>
						<p:panel id="tipoDocumentoPanel"
							style="width: 100%; border: 0px solid #a8a8a8;">
							<div class="row box-mb">
								<div class="col-sm-12">
									<div class="form-group">
										<B>Estimado Ciudadano/a, </B>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-12">
									<div class="form-group">
										La opción que le permitía modificar su solicitud, a través de este enlace (por seguridad) ha sido deshabilitada. <br />
										Esto puede ser debido a que ya ha hecho la modificación o se ha cancelado la opción que le permitía modificar.
										<br/><br/>
										Puede comprobar el estado de su solicitud en la opción <B>Seguimiento.</B> de la página de bienvenida.
										<br/>
										Buen día.
										
										<br/>
									</div>
								</div>
							</div>
							<div class="row box-mb">
								<div class="col-sm-12">
									<div class="form-group">
										<B>Biblioteca Nacional del Perú. </B>
									</div>
								</div>
							</div>
							
						</p:panel>
						<p:panel id="pnlBoton"
							style="width: 100%; border: 0px solid #a8a8a8;">
							<div class="row box-mb">
								<div class="col-sm-12 text-right box-main-btn">
									<p:commandButton id="idOk" value="Entendido"
										
										action="#{solicitudExternoMB.irBienvenida}"																				
										ajax="false" />
								</div>
							</div>
						</p:panel>

					</fieldset>
				</div>
			</h:form>
		</div>
		

	</ui:define>

	<ui:define name="info_foot">
		     
      <li class="active">Items</li>

	</ui:define>

</ui:composition>